WITH space1 AS (
    INSERT INTO spaces (name, description, owner_id)
        VALUES ('general', 'Boring chat idk', 1)
        RETURNING id
),
     space2 AS (
         INSERT INTO spaces (name, description, owner_id)
             VALUES ('Gaming', 'we lose games', 1)
             RETURNING id
     )
INSERT INTO channels (name, description, space_id)
SELECT 'General',     'General chat',        id FROM space1 UNION ALL
SELECT 'Coding',      'Coding stuff',       id FROM space1 UNION ALL
SELECT 'AI',          '"/ask" here pls :)', id FROM space1 UNION ALL
SELECT 'The Game',    '(You lost)',       id FROM space2 UNION ALL
SELECT 'Backrooms',        'Beware of Smilers',           id FROM space2 UNION ALL
SELECT 'SE',        'Space/Software engineering.',          id FROM space2;